/*
  NGL - C++ cross-platform framework for OpenGL based applications
  Copyright (C) 2000-2003 NGL Team

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*!
\file  nglBitmapTools.h
\brief helper for scanline color format conversions
*/

#ifndef __nglBitmapTools_h__
#define __nglBitmapTools_h__

#include "ngl.h"


typedef void (*nglCopyLineFn)(void* pDst, void* pSrc, int PixelCount, bool Invert);

NGL_API nglCopyLineFn nglGetCopyLineFn (int DstBPP, int SrcBPP); ///< Retreive a pointer to a function that can copy any BPP to any BPP.
NGL_API void nglCopyImage(void* pDst, int dstwidth, int dstheight, int dstbpp, void* pSrc, int srcwidth, int srcheight, int srcbpp, bool vmirror, bool hmirror);

NGL_API void nglInvertLineSwap32 (char* pDst, char* pSrc, unsigned int pixelcount);
NGL_API void nglInvertLineSwap24 (char* pDst, char* pSrc, unsigned int pixelcount);
NGL_API void nglLineSwap24 (char* pDst, char* pSrc, unsigned int pixelcount);
NGL_API void nglInvertLine32 (unsigned int* pDst, unsigned int* pSrc, unsigned int pixelcount);
NGL_API void nglInvertLine24 (char* pDst, char* pSrc, unsigned int pixelcount);
NGL_API void nglInvertLine16 (short* pDst, short* pSrc, unsigned int pixelcount);

#endif // __nglBitmapTools_h__
