/*
  NGL - C++ cross-platform framework for OpenGL based applications
  Copyright (C) 2000-2003 NGL Team

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*!
\file  ngl_all.h
\brief All includes in one header file. 

This file includes all ngl headers to ease the creation of precompiled
headers outside of the ngl project in VC. Just include it in your
precompiled header central file and everything should be rolling.
Lookup precompiled headers in the VC doc to learn how to use them. 
*/

#ifndef __ngl_all_h__
#define __ngl_all_h__

#include "ngl.h"

#include <map>
#include <list>
#include <stack>
#include <vector>

#include "ngl3DSLoader.h"
#include "nglApplication.h"
#include "nglBitmapTools.h"
#include "nglConsole.h"
#include "nglContext.h"
#include "nglCPUInfo.h"
#include "nglEndian.h"
#include "nglError.h"
#include "nglEvent.h"
#include "nglFile.h"
#include "nglFont2.h"
#include "nglFontBase.h"
#include "nglFontCache.h"
#include "nglFont.h"
#include "nglFontLayout.h"
#include "nglIFile.h"
#include "nglImageCodec.h"
#include "nglImage.h"
#include "nglIMemory.h"
#include "nglInput.h"
#include "nglIStream.h"
#include "nglKernel.h"
#include "nglKeyboard.h"
#include "nglLog.h"
#include "nglMath.h"
#include "nglMatrix.h"
#include "nglModule.h"
#include "nglOFile.h"
#include "nglOMemory.h"
#include "nglOStream.h"
#include "nglPath.h"
#include "nglPlugin.h"
#include "nglQuaternion.h"
#include "nglStream.h"
#include "nglStringConv.h"
#include "nglString.h"
#include "nglTime.h"
#include "nglTimer.h"
#include "nglVector.h"
#include "nglVideoMode.h"
#include "nglVSTPlugin.h"
#include "nglWindow.h"

#endif // __ngl_all_h__

